var express = require('express');
var router = express.Router();
var api = require('../utils/api-connector');

router.get('/', function (req, res) {
  res.render('login');
});

router.post('/', function (req, res) {
  const username = req.body.username;
  const password = req.body.password;
  const clientId = req.body.clientId;

  req.uri = `${req.environment.hosts.auth}/token?grant_type=password&username=${username}&password=${password}&client_id=${clientId}`;
  
  api.post(req, function(error, response, body) {
    if (!error) {
      req.session.user = body;
      req.session.user.name = username;
    }

    res.status(response.statusCode).json(error || body);
  });
});

module.exports = router;